# Class ProteinInteractionLocus

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.ProteinInteractionLocus

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<Interval>, TxtSerializable`

Direct Known Subclasses:
  `ProteinProteinInteractionLocus, ProteinStructuralInteractionLocus`

public abstract class ProteinInteractionLocus extends Marker
Protein interaction: An amino acid that is "in contact" with another amino acid. This can be either within the same protein or interacting with another protein. Evidence form PDB crystallized structures

Author:
  pablocingolani
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`debug`

### Fields inherited from class Marker

`type`

### Fields inherited from class Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`ProteinInteractionLocus()`
`ProteinInteractionLocus(Transcript parent, int start, int end, String id)`

## Method Summary

Modifier and Type
Method
Description
`ProteinInteractionLocus`
`cloneShallow()`
Perform a shallow clone
`static List<ProteinInteractionLocus>`
`factory(Transcript tr, int aaPos, Transcript trInteract, String id)`
Create interaction.
`boolean`
`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant

### Methods inherited from class Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, toString, union, variantEffectNonRef`

### Methods inherited from class Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### debug

public static final boolean debug

See Also:
  - Constant Field Values

## Constructor Details

### ProteinInteractionLocus

public ProteinInteractionLocus()

### ProteinInteractionLocus

public ProteinInteractionLocus(Transcript parent, int start, int end, String id)

## Method Details

### factory

public static List<ProteinInteractionLocus> factory(Transcript tr, int aaPos, Transcript trInteract, String id)
Create interaction. Most of the time it is only one interval, but if introns split an amino acid, it may be more then one interval

### cloneShallow

public ProteinInteractionLocus cloneShallow()
Description copied from class: `Marker`
Perform a shallow clone

Overrides:
  `cloneShallow` in class `Marker`

### variantEffect

public boolean variantEffect(Variant variant, VariantEffects variantEffects)
Calculate the effect of this variant

Overrides:
  `variantEffect` in class `Marker`